> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Inventory Ledger

> Returns the Inventory Ledger for the WMS connection associated with the provided access token.



## OpenAPI

````yaml get /wms/inventory/ledger
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /wms/inventory/ledger:
    get:
      tags:
        - wms
        - Inventory Ledger
      summary: Get Inventory Ledger
      description: >-
        Returns the Inventory Ledger for the WMS connection associated with the
        provided access token.
      operationId: get_wms_get_inventory_ledger
      parameters:
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
        - in: query
          name: page_token
          description: >-
            The page token to use to retrieve the next page of results. If this
            field is omitted, there are no subsequent pages.
          schema:
            type:
              - string
              - 'null'
            example: page_token
          required: false
        - in: query
          name: limit
          description: The maximum number of items to return. The default is 1000.
          schema:
            type: integer
            minimum: 1
            maximum: 1000
            example: 1000
          required: false
        - in: query
          name: ids
          schema:
            $ref: '#/components/schemas/WmsInventoryLedgerIdsQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: created_date
          description: >-
            Use this parameter to retrieve items filtered to a specific date
            range. For example, to get all items between 2023-03-10 and
            2023-03-22, you would send
            `created_date[gte]=2023-03-10T00:00:00Z&created_date[lte]=2023-03-22T00:00:00Z.`
            See the [filtering docs](/how-to-guides/about-the-api#filtering) for
            more. The date format must always be YYYY-MM-DDTHH:MM:SSZ. 
             Note: it is much more efficient to use a combination of `gte`/`lte` than it is to use `gt`/`lt`.
          schema:
            $ref: '#/components/schemas/WmsInventoryLedgerCreated_DateQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: updated_date
          description: Same syntax as `created_date`.
          schema:
            $ref: '#/components/schemas/WmsInventoryLedgerUpdated_DateQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: trackstar_created_date
          description: Same syntax as `created_date`.
          schema:
            $ref: >-
              #/components/schemas/WmsInventoryLedgerTrackstar_Created_DateQueryParam
          required: false
          style: deepObject
          explode: true
        - in: query
          name: trackstar_updated_date
          description: Same syntax as `created_date`.
          schema:
            $ref: >-
              #/components/schemas/WmsInventoryLedgerTrackstar_Updated_DateQueryParam
          required: false
          style: deepObject
          explode: true
        - in: query
          name: warehouse_customer_id
          description: The ID of the customer associated with the resource
          schema:
            $ref: >-
              #/components/schemas/WmsInventoryLedgerWarehouse_Customer_IdQueryParam
          required: false
          style: deepObject
          explode: true
        - in: query
          name: event_type
          description: The event that occurred resulting in the inventory ledger entry.
          schema:
            $ref: '#/components/schemas/WmsInventoryLedgerEvent_TypeQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: entry_date
          description: The timestamp of the inventory ledger entry.
          schema:
            $ref: '#/components/schemas/WmsInventoryLedgerEntry_DateQueryParam'
          required: false
          style: deepObject
          explode: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WmsInventoryLedgerListEndpoint'
          description: Successful response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    WmsInventoryLedgerIdsQueryParam:
      type: object
      properties:
        in:
          type: array
          description: >-
            A comma-separated list of resource IDs. If provided, all other query
            params are ignored.
          example: resource_id_1,resource_id_2
          items:
            type: string
            description: ''
      required:
        - in
      additionalProperties: false
      title: WmsInventoryLedgerIdsQueryParam
    WmsInventoryLedgerCreated_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2023-03-15T13:45:30Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: WmsInventoryLedgerCreated_DateQueryParam
    WmsInventoryLedgerUpdated_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2023-03-15T13:45:30Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: WmsInventoryLedgerUpdated_DateQueryParam
    WmsInventoryLedgerTrackstar_Created_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2023-03-15T13:45:30Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: WmsInventoryLedgerTrackstar_Created_DateQueryParam
    WmsInventoryLedgerTrackstar_Updated_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2023-03-15T13:45:30Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: WmsInventoryLedgerTrackstar_Updated_DateQueryParam
    WmsInventoryLedgerWarehouse_Customer_IdQueryParam:
      type: object
      properties:
        eq:
          type: string
          description: ''
          example: warehouse_cust_id
        neq:
          type: string
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
        contains:
          type: string
          description: ''
        not_contains:
          type: string
          description: ''
      additionalProperties: false
      title: WmsInventoryLedgerWarehouse_Customer_IdQueryParam
    WmsInventoryLedgerEvent_TypeQueryParam:
      type: object
      properties:
        eq:
          type: string
          enum:
            - adjustment
            - return_receipt
            - inbound_receipt
            - order_shipment
            - supplier_return
            - movement
            - other
          description: ''
          example: inbound_receipt
        neq:
          type: string
          enum:
            - adjustment
            - return_receipt
            - inbound_receipt
            - order_shipment
            - supplier_return
            - movement
            - other
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            enum:
              - adjustment
              - return_receipt
              - inbound_receipt
              - order_shipment
              - supplier_return
              - movement
              - other
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            enum:
              - adjustment
              - return_receipt
              - inbound_receipt
              - order_shipment
              - supplier_return
              - movement
              - other
            description: ''
        contains:
          type: string
          description: ''
        not_contains:
          type: string
          description: ''
      additionalProperties: false
      title: WmsInventoryLedgerEvent_TypeQueryParam
    WmsInventoryLedgerEntry_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2025-01-01T00:00:00Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: WmsInventoryLedgerEntry_DateQueryParam
    WmsInventoryLedgerListEndpoint:
      type: object
      properties:
        data:
          type: array
          description: ''
          items:
            $ref: '#/components/schemas/WmsInventoryLedgerApiItemSchema'
        next_token:
          type:
            - string
            - 'null'
          description: >-
            See [pagination](/how-to-guides/about-the-api#pagination) for more
            details.
          example: next_token
        total_count:
          type: integer
          description: The number of items returned.
          example: 1
      required:
        - data
        - next_token
        - total_count
      additionalProperties: false
      title: WmsInventoryLedgerListEndpoint
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    WmsInventoryLedgerApiItemSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the inventory item.
          example: inv_id
        created_date:
          type: string
          format: date-time
          description: The date the inventory item was created.
          example: '2022-01-01T00:00:00Z'
        updated_date:
          type: string
          format: date-time
          description: The date the inventory item was last updated.
          example: '2022-01-02T05:05:05Z'
        entry_date:
          type: string
          format: date-time
          description: The timestamp of the inventory ledger entry.
          example: '2025-01-01T00:00:00Z'
        inventory_item_id:
          type: string
          description: The unique ID of the inventory item.
          example: inventory_item_id
        sku:
          type: string
          description: The SKU of the inventory item.
          example: sku
        quantity:
          type: integer
          description: The quantity of the inventory item being added or removed.
          example: 1
        raw_event_type:
          type:
            - string
            - 'null'
          description: The raw event that occurred resulting in the inventory ledger entry.
          example: receipt_into_system
        event_type:
          type: string
          enum:
            - adjustment
            - return_receipt
            - inbound_receipt
            - order_shipment
            - supplier_return
            - movement
            - other
          description: The event that occurred resulting in the inventory ledger entry.
          example: inbound_receipt
        reason:
          type:
            - string
            - 'null'
          description: The reason for the inventory ledger entry.
          example: reason
        object_id:
          type:
            - string
            - 'null'
          description: The unique ID of the object that caused the inventory ledger entry.
          example: inbound_shipment_id
        object_type:
          type:
            - string
            - 'null'
          enum:
            - order
            - inbound_shipment
            - return
          description: The type of object that caused the inventory ledger entry.
          example: inbound_shipment
        warehouse_id:
          type:
            - string
            - 'null'
          description: The unique ID of the source warehouse.
          example: source_warehouse_id
        location_id:
          type:
            - string
            - 'null'
          description: The unique ID of the source location.
          example: source_location_id
        additional_fields:
          type: object
          description: Integration-specific fields
          example:
            key: value
          additionalProperties: {}
        trackstar_created_date:
          type: string
          format: date-time
          description: ''
        trackstar_updated_date:
          type: string
          format: date-time
          description: ''
      required:
        - additional_fields
        - created_date
        - entry_date
        - event_type
        - id
        - inventory_item_id
        - location_id
        - object_id
        - object_type
        - quantity
        - raw_event_type
        - reason
        - sku
        - trackstar_created_date
        - trackstar_updated_date
        - updated_date
        - warehouse_id
      additionalProperties: false
      title: WmsInventoryLedgerApiItemSchema

````